org.apache.ignite.internal.processors.cache.persistence

## Class GridCacheDatabaseSharedManager.RestoreBinaryState

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.GridCacheDatabaseSharedManager.RestoreStateContext
  - - org.apache.ignite.internal.processors.cache.persistence.GridCacheDatabaseSharedManager.RestoreBinaryState

Enclosing class:
  GridCacheDatabaseSharedManager

    public static class GridCacheDatabaseSharedManager.RestoreBinaryState
    extends GridCacheDatabaseSharedManager.RestoreStateContext

Restore memory context. Tracks the safety of binary recovery.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.persistence.GridCacheDatabaseSharedManager.RestoreStateContext

`lastArchivedSegment, lastRead, log`

### Constructor Summary

Constructors
Constructor and Description
`RestoreBinaryState(org.apache.ignite.internal.processors.cache.persistence.GridCacheDatabaseSharedManager.CheckpointStatus status, long lastArchivedSegment, IgniteLogger log)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `needApplyBinaryUpdate()`
`WALRecord` `next(WALIterator it)` Advance iterator to the next record.
`boolean` `throwsCRCError()`

### Methods inherited from class org.apache.ignite.internal.processors.cache.persistence.GridCacheDatabaseSharedManager.RestoreStateContext

`lastReadRecordPointer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RestoreBinaryState

    public RestoreBinaryState(org.apache.ignite.internal.processors.cache.persistence.GridCacheDatabaseSharedManager.CheckpointStatus status,
                              long lastArchivedSegment,
                              IgniteLogger log)

Parameters:
  `status` - Checkpoint status.
  `lastArchivedSegment` - Last archived segment index.
  `log` - Ignite logger.

### Method Detail

#### next

    public WALRecord next(WALIterator it)
                   throws IgniteCheckedException

Advance iterator to the next record.

Overrides:
  `next` in class `GridCacheDatabaseSharedManager.RestoreStateContext`
Parameters:
  `it` - WAL iterator.
Returns:
  WALRecord entry.
Throws:
  `IgniteCheckedException` - If CRC check fail during binary recovery state or another exception occurring.

#### needApplyBinaryUpdate

    public boolean needApplyBinaryUpdate()

Returns:
  Flag indicates need apply binary record or not.

#### throwsCRCError

    public boolean throwsCRCError()

Overrides:
  `throwsCRCError` in class `GridCacheDatabaseSharedManager.RestoreStateContext`
Returns:
  Flag indicates need throws CRC exception or not.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019